org.keycloak.storage.federated

## Interface UserFederatedStorageProvider

- All Superinterfaces:
    Provider, UserAttributeFederatedStorage, UserBrokerLinkFederatedStorage, UserConsentFederatedStorage, UserCredentialsFederatedStorage, UserGroupMembershipFederatedStorage, UserRequiredActionsFederatedStorage, UserRoleMappingsFederatedStorage
  All Known Implementing Classes:
    JpaUserFederatedStorageProvider

      public interface UserFederatedStorageProvider
      extends Provider, UserAttributeFederatedStorage, UserBrokerLinkFederatedStorage, UserConsentFederatedStorage, UserCredentialsFederatedStorage, UserGroupMembershipFederatedStorage, UserRequiredActionsFederatedStorage, UserRoleMappingsFederatedStorage

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `preRemove(ProtocolMapperModel protocolMapper)`
    `void` | `preRemove(RealmModel realm)`
    `void` | `preRemove(RealmModel realm, ClientModel client)`
    `void` | `preRemove(RealmModel realm, ComponentModel model)`
    `void` | `preRemove(RealmModel realm, GroupModel group)`
    `void` | `preRemove(RealmModel realm, RoleModel role)`
    `void` | `preRemove(RealmModel realm, UserFederationProviderModel link)`
    `void` | `preRemove(RealmModel realm, UserModel user)`

    - ### Methods inherited from interface org.keycloak.provider.Provider

      `close`

    - ### Methods inherited from interface org.keycloak.storage.federated.UserAttributeFederatedStorage

      `getAttributes, getUsersByUserAttribute, removeAttribute, setAttribute, setSingleAttribute`

    - ### Methods inherited from interface org.keycloak.storage.federated.UserBrokerLinkFederatedStorage

      `addFederatedIdentity, getFederatedIdentities, getFederatedIdentity, getUserByFederatedIdentity, removeFederatedIdentity, updateFederatedIdentity`

    - ### Methods inherited from interface org.keycloak.storage.federated.UserConsentFederatedStorage

      `addConsent, getConsentByClient, getConsents, revokeConsentForClient, updateConsent`

    - ### Methods inherited from interface org.keycloak.storage.federated.UserCredentialsFederatedStorage

      `getCredentials, removeCredential, updateCredential, updateCredential`

    - ### Methods inherited from interface org.keycloak.storage.federated.UserGroupMembershipFederatedStorage

      `getGroups, getMembership, joinGroup, leaveGroup`

    - ### Methods inherited from interface org.keycloak.storage.federated.UserRequiredActionsFederatedStorage

      `addRequiredAction, getRequiredActions, removeRequiredAction`

    - ### Methods inherited from interface org.keycloak.storage.federated.UserRoleMappingsFederatedStorage

      `deleteRoleMapping, getRoleMappings, grantRole`

- - ### Method Detail

    - #### preRemove

          void preRemove(RealmModel realm)

    - #### preRemove

          void preRemove(RealmModel realm,
                         UserFederationProviderModel link)

    - #### preRemove

          void preRemove(RealmModel realm,
                         GroupModel group)

    - #### preRemove

          void preRemove(RealmModel realm,
                         RoleModel role)

    - #### preRemove

          void preRemove(RealmModel realm,
                         ClientModel client)

    - #### preRemove

          void preRemove(ProtocolMapperModel protocolMapper)

    - #### preRemove

          void preRemove(RealmModel realm,
                         UserModel user)

    - #### preRemove

          void preRemove(RealmModel realm,
                         ComponentModel model)

Copyright © 2016 JBoss by Red Hat. All rights reserved.